## pd-lib-builder 0.7.0

=== tests/multilib/Makefile ===
# Makefile to build class 'multilib' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = multilib

make-lib-executable=yes

# input source file (class name == source file basename)
class.sources = multilibA.c multilibB.c

# glue for building a multi-object library
lib.setup.sources = $(lib.name).c

# all extra files to be included in binary distribution of the library
datafiles = multilib-help.pd multilib-meta.pd

# include Makefile.pdlibbuilder
# (for real-world projects see the "Project Management" section
# in tips-tricks.md)
PDLIBBUILDER_DIR=../..
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder


# simplistic tests whether all expected files have been produced/installed
buildcheck: all
	test -e multilib.$(extension)
installcheck: install
	test -e $(installpath)/multilib.$(extension)
	test -e $(installpath)/multilib-help.pd
	test -e $(installpath)/multilib-meta.pd

=== tests/multiplexx/Makefile ===
# Makefile to build class 'multiplexx' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = multiplexx

# input source file (class name == source file basename)
class.sources = multiplexxA.cpp multiplexxB.c

# all extra files to be included in binary distribution of the library
datafiles = multiplexx-help.pd multiplexx-meta.pd

# include Makefile.pdlibbuilder
# (for real-world projects see the "Project Management" section
# in tips-tricks.md)
PDLIBBUILDER_DIR=../..
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

# simplistic tests whether all expected files have been produced/installed
buildcheck: all
	test -e multiplexxA.$(extension)
	test -e multiplexxB.$(extension)
installcheck: install
	test -e $(installpath)/multiplexxA.$(extension)
	test -e $(installpath)/multiplexxB.$(extension)
	test -e $(installpath)/multiplexx-help.pd
	test -e $(installpath)/multiplexx-meta.pd

=== tests/subdir/Makefile ===
# Makefile to build class 'subdir' for Pure Data.
# Needs Makefile.pdlibbuilder as helper makefile for platform-dependent build
# settings and rules.

# library name
lib.name = subdir

# input source file (class name == source file basename)
class.sources = src/subdir.c src/subdir~.c

# all extra files to be included in binary distribution of the library
datafiles = subdir-help.pd subdir-meta.pd

# include Makefile.pdlibbuilder
# (for real-world projects see the "Project Management" section
# in tips-tricks.md)

PDLIBBUILDER_DIR=../..
include $(PDLIBBUILDER_DIR)/Makefile.pdlibbuilder

# simplistic tests whether all expected files have been produced/installed
buildcheck: all
	test -e subdir.$(extension)
	test -e subdir~.$(extension)
installcheck: install
	test -e $(installpath)/subdir.$(extension)
	test -e $(installpath)/subdir~.$(extension)

## pd-lib-builder 0.4.4

=== debian/changelog ===
pd-lib-builder (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4

  * Added Multi-Arch:foreign hint
  * Canonical Vcs-Browser URI

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 23 Nov 2016 22:39:49 +0100

pd-lib-builder (0.4.3-1) unstable; urgency=medium

  * New upstream version 0.4.3

  * Fixed indentation for enumeration in package description.
  * Fixed Vcs-* stanzas

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 03 Nov 2016 13:40:03 +0100

pd-lib-builder (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #842103)

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 25 Oct 2016 23:39:21 +0200

=== debian/control ===
Source: pd-lib-builder
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>
Build-Depends: debhelper
Standards-Version: 3.9.8
Homepage: https://github.com/pure-data/pd-lib-builder
Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/pd-lib-builder.git
Vcs-Browser: https://anonscm.debian.org/git/pkg-multimedia/pd-lib-builder.git

Package: pd-lib-builder
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends},
 puredata-dev
Description: common build system for Pure Data externals
 Makefile based build-system for Pure Data external libraries, with the
 following characteristics:
  - defines build settings based on autodetected OS and architecture
  - defines rules to build Pd class- or lib executables from C or C++ sources
  - defines rules for libdir installation
  - defines convenience targets for developer and user
  - evaluates implicit dependencies for non-clean builds

## pd-lib-builder 0.5.0

=== debian/changelog ===
pd-lib-builder (0.5.0-2) unstable; urgency=medium

  * Updated Vcs-* stanzas to salsa.d.o
  * Updated maintainer address
  * Enabled hardening
  * Added d/copyright_hints
  * Bumped dh compat to 11

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 01 Feb 2018 23:18:16 +0100

pd-lib-builder (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0

  * Bumped standards version to 4.1.3

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 24 Jan 2018 15:22:40 +0100

=== debian/control ===
Source: pd-lib-builder
Section: devel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
Build-Depends:
 debhelper (>=11~),
Standards-Version: 4.1.3
Homepage: https://github.com/pure-data/pd-lib-builder
Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-lib-builder.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-lib-builder

Package: pd-lib-builder
Architecture: all
Multi-Arch: foreign
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 puredata-dev,
Description: common build system for Pure Data externals
 Makefile based build-system for Pure Data external libraries, with the
 following characteristics:
  - defines build settings based on autodetected OS and architecture
  - defines rules to build Pd class- or lib executables from C or C++ sources
  - defines rules for libdir installation
  - defines convenience targets for developer and user
  - evaluates implicit dependencies for non-clean builds

## pd-lib-builder 0.5.1

=== debian/changelog ===
pd-lib-builder (0.5.1-1) unstable; urgency=medium

  * New upstream version 0.5.1
  * Updated d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 20 Mar 2018 21:17:26 +0100

## pd-lib-builder 0.6.0

=== debian/changelog ===
pd-lib-builder (0.6.0-6) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Ensure that 'licensecheck' is run with the C.UTF-8 locale
    + Exclude debian/ from 'licensecheck'
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 07 Dec 2022 10:45:53 +0100

pd-lib-builder (0.6.0-5) unstable; urgency=medium

  * Modernize 'licensecheck' target
    + Re-generate d/copyright_hints

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Dec 2022 10:49:03 +0100

pd-lib-builder (0.6.0-4) unstable; urgency=medium

  * Add a Debian-specific suffix to the pd-lib-builder version
  * autopkgtests: Directly use system installed pd-lib-builder snippet

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 21 Nov 2022 17:21:18 +0100

pd-lib-builder (0.6.0-3) unstable; urgency=medium

  * Add patch to drop optimization flags (Closes: #1019166)
  * Add patch to honour CFLAGS via envvars
  * autopkgtest: build (and run) a trivial external w/o Debian flags

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Mon, 05 Sep 2022 00:29:57 +0200

pd-lib-builder (0.6.0-2) unstable; urgency=medium

  [ Jenkins ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.

  [ IOhannes m zmölnig (Debian/GNU) ]
  * Add salsa-ci configuration
  * Declare that building this package does not require 'root' powers.
  * Apply "warp-and-sort -ast"
  * Update d/watch
  * Bump standards version to 4.6.1

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Fri, 12 Aug 2022 00:39:52 +0200

pd-lib-builder (0.6.0-1) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * New upstream version 0.6.0
    * Regenerate d/copyright_hints
  * Install tips-and-tricks
    * Add patch to fix cross-compilation docs
  * Drop obsolete d/source/local-options
  * Bump dh-compat to 12
  * Bump standards-version to 4.4.1

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 08 Jan 2020 14:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Uploaders:
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
- debhelper (>=11~),
-Standards-Version: 4.1.3
+ debhelper-compat (= 13),
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Homepage: https://github.com/pure-data/pd-lib-builder
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-lib-builder.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/pd/pd-lib-builder
@@ -15,9 +16,9 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ puredata-dev,
+ ${misc:Depends},
  ${shlibs:Depends},
- ${misc:Depends},
- puredata-dev,
 Description: common build system for Pure Data externals
  Makefile based build-system for Pure Data external libraries, with the
  following characteristics:

=== debian/tests/control ===
Test-Command: debian/tests/testbuild debian/tests/*/Makefile
Depends:
 build-essential,
 dpkg-dev,
 puredata-core,
 @,

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=auto \
  https://github.com/pure-data/pd-lib-builder/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## pd-lib-builder 0.7.0

=== debian/changelog ===
pd-lib-builder (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
    + Drop patches applied upstream.
    + Refresh patches
  * Run upstream testsuite
  * Update d/copyright_hints
  * Add package-name while downloading new releases via uscan

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Wed, 12 Jul 2023 23:42:46 +0200

pd-lib-builder (0.6.0-7) unstable; urgency=medium

  * Backport patches from upstream that allow building multiple flavours
    (e.g. double precision)
  * Refresh patches with 'gbp pq'
  * Bump standards version to 4.6.2

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Thu, 29 Jun 2023 22:56:33 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pure-data/pd-lib-builder
 Vcs-Git: https://salsa.debian.org/multimedia-team/pd/pd-lib-builder.git

=== debian/tests/control ===
--- 
+++ 
@@ -4,3 +4,8 @@
  dpkg-dev,
  puredata-core,
  @,
+
+Test-Command: make -C tests PDLIBBUILDER_DIR=/usr/share/pd-lib-builder/
+Depends:
+ build-essential,
+ pd-lib-builder,

=== debian/watch ===
# Run the "uscan" command to check for upstream updates and more.
version=4
opts=dversionmangle=auto,\
     filenamemangle=s/.+\/v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
  https://github.com/pure-data/pd-lib-builder/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
